> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put pension schema



## OpenAPI

````yaml /api-reference/specs/pension-v2.json put /pension-schema/{id}
openapi: 3.0.1
info:
  title: FlowPayroll Pension API
  version: v2
servers:
  - url: https://api.sandbox.flowpayroll.ai/v2/pension
security: []
paths:
  /pension-schema/{id}:
    put:
      tags:
        - PensionScheme
      operationId: PutPensionScheme
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitPensionSchemeRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PensionSchemeV2ApiResponse'
components:
  schemas:
    SubmitPensionSchemeRequest:
      required:
        - name
        - pensionProviderId
      type: object
      properties:
        pensionProviderId:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        paymentSource:
          type: string
          nullable: true
        lastReEnrolmentDate:
          type: string
          format: date
          nullable: true
        dutyStartDate:
          type: string
          format: date
          nullable: true
        externalReferenceId:
          type: string
          nullable: true
        employeeIdentifierField:
          enum:
            - NationalInsuranceNumber
            - PayrollId
            - EmployeeCode
            - EmployeeId
          type: string
          nullable: true
      additionalProperties: false
    PensionSchemeV2ApiResponse:
      type: object
      properties:
        content:
          $ref: '#/components/schemas/PensionSchemeV2Content'
        metadata:
          $ref: '#/components/schemas/Metadata'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        message:
          $ref: '#/components/schemas/Message'
      additionalProperties: false
    PensionSchemeV2Content:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PensionSchemeV2'
        metadata:
          $ref: '#/components/schemas/Metadata'
      additionalProperties: false
    Metadata:
      type: object
      properties:
        dateFormat:
          type: string
          nullable: true
        dateTimeFormat:
          type: string
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        field:
          type: string
          nullable: true
        reasonText:
          type: string
          nullable: true
        reasonId:
          type: string
          nullable: true
        reasonParameters:
          type: array
          items:
            $ref: '#/components/schemas/Pair'
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        text:
          type: string
          nullable: true
        textId:
          type: string
          nullable: true
        textParameters:
          type: array
          items:
            $ref: '#/components/schemas/Pair'
          nullable: true
      additionalProperties: false
    PensionSchemeV2:
      required:
        - createdBy
        - createdDate
        - id
        - name
        - organisationId
        - pensionProviderId
        - updatedBy
        - updatedDate
      type: object
      properties:
        id:
          type: string
          nullable: true
        organisationId:
          type: string
          nullable: true
        pensionProviderId:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        paymentSource:
          type: string
          nullable: true
        lastReEnrolmentDate:
          type: string
          format: date
          nullable: true
        dutyStartDate:
          type: string
          format: date
          nullable: true
        externalReferenceId:
          type: string
          nullable: true
        employeeIdentifierField:
          enum:
            - NationalInsuranceNumber
            - PayrollId
            - EmployeeCode
            - EmployeeId
          type: string
          nullable: true
        createdBy:
          type: string
          nullable: true
        createdDate:
          type: string
          nullable: true
        updatedBy:
          type: string
          nullable: true
        updatedDate:
          type: string
          nullable: true
      additionalProperties: false
    Pair:
      type: object
      properties:
        key:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false

````